/*****************************************************************************
 * $LastChangedDate: 2009-05-16 16:27:08 -0500 (Sat, 16 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	OSG utility functions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GFX_OSG_FUNCS_HH
#define GFX_OSG_FUNCS_HH 1

namespace gfx {

void
OsgRemoveChildren( RefPtr<osg::Group> group );

void
OsgGeometryWasModified( RefPtr<osg::Geometry> geom,
                        RefPtr<osg::Vec3Array> vertexs );

void
OsgGeometryWasModifiedByResizing( RefPtr<osg::Geometry> geom,
                                  RefPtr<osg::Vec3Array> vertexs,
                                  RefPtr<osg::DrawArrays> drawArray );
} // namespace gfx
//------------------------------------------------------------------------------

#endif // GFX_OSG_FUNCS_HH
