/*****************************************************************************
 * $LastChangedDate: 2009-05-06 20:36:12 -0500 (Wed, 06 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Configuration definitions.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef INPUT_DEFS_CONF_HH
#define INPUT_DEFS_CONF_HH 1

namespace input {
namespace defs {

const Milliseconds DEFAULT_INPUT_QUEUE_TICK_FREQ = base::defs::DEFAULT_TICK_FREQ;   ///< frequency of pulsing InputQueue

} // namespace defs
} // namespace input

#endif // INPUT_DEFS_CONF_HH
