// $LastChangedDate: 2009-05-22 16:47:41 -0500 (Fri, 22 May 2009) $

// Vars for vertex shader.
// These shaders simply use a single "light color"
// without ambient,diffuse,specular components.
const int TEXTURE_UNIT_SHADOW = 3;
const int SHADOW_MODE_DISABLED = 0;
const int SHADOW_MODE_SAMPLE1  = 1;
const int SHADOW_MODE_SAMPLE4  = 2;
// C++ side must transform light positions to eye space using root-level modelview matrix.
uniform vec4  uni_light0_ecPosition;
uniform int   uni_shadowMode;
varying float var_lightIntensity;
varying vec4  var_colorAmbientEmissive;
