/*****************************************************************************
 * $LastChangedDate: 2009-05-06 20:36:12 -0500 (Wed, 06 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Definitions.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef HUD_DEFS_HH
#define HUD_DEFS_HH 1

#include "base/time.hh"

namespace hud {
namespace defs {

const Milliseconds HUD_FREQ = 100;		///< for this hud module only

} // namespace defs
} // namespace hud

#endif // HUD_DEFS_HH
