/*****************************************************************************
 * $LastChangedDate: 2009-05-06 20:36:12 -0500 (Wed, 06 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Definitions, constants.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef LUABIND_DEFS_HH
#define LUABIND_DEFS_HH 1

namespace lua_intern {
namespace defs {

#if DEBUG && !defined(LUABIND_DEBUG_LOG)
#define LUABIND_DEBUG_LOG 0
#endif

#define LUA_SIM_TABLE_NAME   "sim"  ///< name of emulated module/namespace
#define LUABIND_MODULE_NAME  LUA_SIM_TABLE_NAME
#define LUABIND_SCRIPTS_DIR  "scripts"

} // namespace defs
} // namespace lua_intern

#endif // LUABIND_DEFS_HH
