-- $LastChangedDate: 2009-02-10 14:55:39 -0600 (Tue, 10 Feb 2009) $
-- Does "make realclean".

if ( (not os.getenv("windir")) and (not os.getenv("ProgramFiles")) ) then
	print( "clean.lua is for Windows.  Use clean.sh on UNIX" )
	os.exit(1)
end

function DelFile( file )
	os.execute( "del /q " .. file )
end

function DelDir( dir )
	os.execute( "rmdir /s /q " .. dir )
end

function CleanDir( dir )
	DelFile( dir .. "\\*Cache*" )
	DelFile( dir .. "\\CMakeFiles" )
	DelFile( dir .. "\\*vcproj*" )
	DelFile( dir .. "\\*.sln" )
	DelFile( dir .. "\\cmake_install.cmake" )
	DelFile( dir .. "\\*.ncb" )
	DelFile( dir .. "\\Makefile" )
	DelDir( dir .. "\\CMakeFiles" )
	DelDir( dir .. "\\bin" )
	DelDir( dir .. "\\lib" )
	DelDir( dir .. "\\ALL_BUILD.DIR" )
	DelDir( dir .. "\\DIR ZERO_CHECK.DIR" )
end

CleanDir( "." )
CleanDir( "build\\base" )
CleanDir( "build\\collision" )
CleanDir( "build\\control" )
CleanDir( "build\\fx" )
CleanDir( "build\\game" )
CleanDir( "build\\gfx" )
CleanDir( "build\\glue" )
CleanDir( "build\\graph" )
CleanDir( "build\\gui" )
CleanDir( "build\\hud" )
CleanDir( "build\\init" )
CleanDir( "build\\input" )
CleanDir( "build\\lua_bind" )
CleanDir( "build\\lua_lang" )
CleanDir( "build\\math" )
CleanDir( "build\\object" )
CleanDir( "build\\physics" )
CleanDir( "build\\program" )
CleanDir( "build\\shader" )
CleanDir( "build\\sky" )
CleanDir( "build\\sound" )
CleanDir( "build\\types" )
CleanDir( "build\\view" )
CleanDir( "build\\world" )
