#!/bin/sh

# Remove autogen CMake files.
Clean()
{
    DIR=$1
    rm -rf core core.* gmon.out TAGS doxygen
	rm -rf $DIR/*Cache* $DIR/CMakeFiles
	rm -rf $DIR/bin $DIR/lib $DIR/Makefile $DIR/cmake_install.cmake
	rm -rf $DIR/ZERO* $DIR/INSTALL* $DIR/ALL_BUILD*
    rm -rf $DIR/*.ncb $DIR/*.sln $DIR/*.suo
    rm -rf $DIR/*.dir $DIR/*.vcproj*
}
Clean .
Clean build/base
Clean build/collision
Clean build/control
Clean build/deprecated
Clean build/fx
Clean build/game
Clean build/gfx
Clean build/glue
Clean build/graph
Clean build/gui
Clean build/hud
Clean build/init
Clean build/input
Clean build/lua_bind
Clean build/lua_lang
Clean build/math
Clean build/object
Clean build/physics
Clean build/program
Clean build/shader
Clean build/sky
Clean build/sound
Clean build/view
Clean build/world

# More cleaning.
#rm -rf doxygen
if ( uname -s | grep -i -q bsd ) then
  gmake -C tests clean
else
  make -C tests clean
fi
